' -------------------------------------------------------------------------
'       From the book Inside Active Directory, ISBN 0-201-61621-1
'       Copyright (C) 2002 by Addison-Wesley
'       Script by Sakari Kouti (see http://www.kouti.com)
' You have a royalty-free right to use, modify, reproduce and distribute
' this script (and/or any modified version) in any way you find useful,
' provided that you agree that Addison-Wesley or Sakari Kouti has no
' warranty, obligations or liability for the script. If you modify
' the script, you must retain this copyright notice.
' -------------------------------------------------------------------------
Option Explicit

Dim objSchema, objChild, i

Set objSchema = GetObject("LDAP://schema")

i = 0
For Each objChild In objSchema
	If objChild.Class = "Class" Then
		i = i + 1
		WScript.Echo "Class " & i & ": " & objChild.Name & _
			" Container: " & objChild.Container  & _
			" Auxiliary: " & objChild.Auxiliary
	End If
Next

i = 0
For Each objChild In objSchema
	If objChild.Class = "Property" Then
		i = i + 1
		WScript.Echo "Property " & i & ": " & objChild.Name & _
			" Syntax: " & objChild.Syntax  & _
			" MultiVal: " & objChild.MultiValued
	End If
Next

i = 0
For Each objChild In objSchema
	If objChild.Class = "Syntax" Then
		i = i + 1
		WScript.Echo "Syntax " & i & ": " & objChild.Name
	End If
Next
